<style>
  main span {
    font-size: larger;
  }

  main img {
    margin: 2rem 0;
    height: 12rem;
  }
</style>

<h2>Vanilla</h2>

<p>
  A <strong>JS module</strong> that loads and then embeds an <strong>external HTML fragment</strong>.
  The HTML includes some <strong>CSS</strong> and references <strong>an image</strong>.
  There's also a bit of <strong>JS logic</strong> to provide some kind of dynamic content (the clock below).
</p>

<p>
  The HTML fragment is <strong>cached</strong> the first time this satellite is instantiated
  (and the JS module is cached automatically by the browser too)
  so <strong>navigating back to this satellite after the first load is very fast</strong>.
</p>

<img src="https://img.freepik.com/premium-vector/vintage-wrist-watch-icon-retro-hand-clock_80590-15976.jpg"
  alt="watch" />

<p>
  The time right now: <span id="now" />
</p>